﻿using System;
using Telerik.OpenAccess;

namespace FluentAPI.Infastructure
{
    /// <summary>
    /// IContextFactory taken from OpenAccess SDK. MVC Forum application with Fluent Mapping
    /// </summary>
    public interface IContextFactory : IDisposable
    {
        OpenAccessContext Get();
    }
}
