using System;

namespace FluentAPI.Logger
{
    public class ConsoleLogger : ILogger
    {
        public void Log(string format, object arg0)
        {
            Log(string.Format(format, arg0));
        }

        public void Log(string format, object arg0, string arg1)
        {
            Log(string.Format(format, arg0, arg1));
        }

        public void Log(string format, object arg0, string arg1, string arg2)
        {
            Log(string.Format(format, arg0, arg1, arg2));
        }

        void ILogger.Log(string format, params object[] args)
        {
            Log(string.Format(format, args));
        }

        public void Log(string message)
        {
            Console.WriteLine(message);
        }
    }
}